Python 3 telepítése Linuxra

Ebben a pár videóban megtudhatod, hogy miként telepíthetsz IDLE-t pár kurrens Linuxra:

  • Fedora 24-re
  • OpenSUSE LEAP 42-re
  • és Ubuntu 16.04-re

(Ha Windows-od van, akkor ez a másik cikk a barátod.)

Kiderül továbbá, hogy miként tehetsz futtathatóvá egy fájlt, és miként futtathatod le első programodat.

Reklámok

Python 3 telepítése Linuxra” bejegyzéshez ozzászólás

  1. Egy érdekes (és bosszantó) jelenség:
    Az eredetileg Windows alatt IDLEben megírt elso.py program Kubuntu 18.04 alatt parancssorban ./elso.py futtatva a
    “/usr/bin/env: ”python3\r”: Nincs ilyen fájl vagy könyvtár” hibaüzenetet adja.
    Maga a szöveg
    #!/usr/bin/env python3
    print(‘Pythonidomár!’)
    simán kopipésztelve a linuxos IDLEbe, és mentve utána gond nélkül lefut.
    És parancssorban python3 elso.py-ként futtatva is megy.

    Kedvelés

    • Ha jól emléxem, a problémát az okozza, hogy Win alatt enter+soremeléssel (CR+LF, 0x10+0x13) zárulnak a sorok, (A Windowsos IDLE követi a DOS+Windows hagyományt), míg Linux alatt az ottani szokásnak megfelelően csak soremelés van. Keress arra a parancssori szépségre, hogy dos2unix és unix2dos.

      Kedvelik 1 személy

  2. Szia,
    Most valtottam linuxos gepre (az ekezetek is meghaltak egyelore) es telepitenem a pythont, de nem megy. A hibauzenet:
    “namely@namely-MS-7418:~$ sudo apt install python3-tools
    [sudo] password for namely:
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Unable to locate package python3-tools”
    Miert nem sikerult?

    Kedvelés

    • Az apt használatából arra következtetek, hogy debian vagy ubuntu, úgyhogy adj ki olyan parancsot, hogy
      apt-search python3|grep idle
      ezzel látod az olyan python3-as csomagokat, aminek köze van az IDLE-hez

      nálam ez (ubuntu 18.04) most épp a

      raerek@asuslaptop:~$ sudo apt-cache search python3|grep idle
      idle-python3.6 – IDE for Python (v3.6) using Tkinter
      idle-python3.7 – IDE for Python (v3.7) using Tkinter

      kimenetet adja

      és hogy melyik kell ezek közül? Litázzuk ki, hogy milyen csomagok vannak a gépen:

      dpkg -l|grep python3

      köztük lesz a
      ii python3 3.6.5-3ubuntu1 amd64 interactive high-level object-oriented language …

      sor, azaz a 3.6-osat akarod telepíteni.

      Ha nem boldogulsz, kérdezz.

      Kedvelés

Vélemény, hozzászólás?

Adatok megadása vagy bejelentkezés valamelyik ikonnal:

WordPress.com Logo

Hozzászólhat a WordPress.com felhasználói fiók használatával. Kilépés /  Módosítás )

Google+ kép

Hozzászólhat a Google+ felhasználói fiók használatával. Kilépés /  Módosítás )

Twitter kép

Hozzászólhat a Twitter felhasználói fiók használatával. Kilépés /  Módosítás )

Facebook kép

Hozzászólhat a Facebook felhasználói fiók használatával. Kilépés /  Módosítás )

Kapcsolódás: %s